#!/bin/sh
#
# Creates a binary .tar.gz and .zip distribution file for CoCompose
# named CoCompose.<version>.tar.gz and CoCompose.<version>.zip
#

VERSION=`cat version.txt`
JAVADOC="^\./doc/allclasses-frame\.\|^\./doc/deprecated-list\.\|^\./doc/help-doc\.\|^\./doc/index\|^\./doc/overview\|^\./doc/package\|^\./doc/serialized-form\."
INCLUDE="\.html$\|\.css$\|CoCompose\.\|cocompose\.\|\.dtd$\|\.gif$\|\.jpg$\|\.class$\|\.java$\|\.xml$\|\.cf$\|\.jwf$\|\.dmp$\|COPYING$\|^\./output/.*\..\+\|superlang.properties"
EXCLUDE="^\./archive\|^\./bak\|^\./classes\|^\./diagrams\|${JAVADOC}\|^./doc/be\|^\./doc/constraints\|^\./doc/EDU\|^\./doc/implementations\|^\./doc/translate\|^./icons/full\|^\./togetherdoc\|^./schemas\|^\./src\|CoCompose\.jpx\|CoCompose\.tpr$\|CoCompose\.tws$\|CoCompose\.html$\|\.zip$\|\.gz$\|/SEESCOA/[a-z]\+\.[a-z]\+$\|.xvpics\|about.html\|build.properties\|plugin.xml\|CVS\|.cvsignore"

FILES=`find | grep "${INCLUDE}" | grep -v "${EXCLUDE}" | sort`
if [ -f archive/CoCompose.${VERSION}.tar.gz ]; then
  echo "Removing old file archive/CoCompose.${VERSION}.tar.gz"
  rm archive/CoCompose.${VERSION}.tar.gz
fi
tar czvf archive/CoCompose.${VERSION}.tar.gz ${FILES}
if [ -x archive/CoCompose.${VERSION}.zip ]; then
  echo "Removing old file archive/CoCompose.${VERSION}.zip"
  rm archive/CoCompose.${VERSION}.zip
fi
zip -9 archive/CoCompose.${VERSION}.zip ${FILES}
