#!/bin/sh
#
# Creates a source .tar.gz and .zip distribution file for CoCompose
# named CoCompose.<version>.src.tar.gz and CoCompose.<version>.src.zip
#

VERSION=`cat version.txt`
INCLUDE="\.jpx\|\.tpr\|\.tws\|\.dfPackage\|\.wmf\|\.java$\|\.properties$\|\.html$\|^\./togetherdoc/.*\..\+\|package-list\|Make\|manifest$\|COPYING"
EXCLUDE="^\./archive\|^\./bak\|^./diagrams\|^\./dtd\|^\./help\|^\./icons\|^\./images\|^\./models\|^\./output\|^\./plugins\|^\./repository\|^./schemas\|~\|Readme\.\|\.zip$\|\.gz$\|be/ac/vub\|about.html\|build.properties\|superlang.properties\|plugin.xml\|CVS\|.cvsignore"

FILES=`find | grep "${INCLUDE}" | grep -v "${EXCLUDE}" | sort`
# Create .TAR.GZ file:
if [ -f archive/CoCompose.${VERSION}.src.tar.gz ]; then
  echo "Removing old file archive/CoCompose.${VERSION}.src.tar.gz"
  rm archive/CoCompose.${VERSION}.src.tar.gz
fi
tar czvf archive/CoCompose.${VERSION}.src.tar.gz ${FILES}
# Create .ZIP file
if [ -f archive/CoCompose.${VERSION}.src.zip ]; then
  echo "Removing old file archive/CoCompose.${VERSION}.src.zip"
  rm archive/CoCompose.${VERSION}.src.zip
fi
zip -9 archive/CoCompose.${VERSION}.src.zip ${FILES}
