/**
 * Title:        CoCompose
 * Copyright:    Copyright (c) 2002
 * Author:       Dennis Wagelaar
 * Organisation: University of Twente, Vrije Universiteit Brussel
 * Description:  CoCompose Design Language Tool
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License, version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  (See the file "COPYING" that is included with this source distribution.)
 */

package EDU.utwente.CoCompose.gui;

import EDU.auburn.VGJ.algorithm.GraphUpdate;

/**
 * Represents an updateable display for CoCompose models.
 *
 * @author Dennis Wagelaar
 * @version 0.0.25, 22 June 2002
 */

public interface ModelUpdate extends GraphUpdate
{
  /**
   * Sets whether or not this display is enabled. A display that is enabled
   * may respond to user input, while a display that is not enabled cannot
   * respond to user input.
   *
   * @param enabled If true, display is enabled, otherwise disabled.
   */
  public void setEnabled(boolean enabled);
} //interface ModelUpdate
